'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var navigation = require('next/navigation');
var react = require('react');

function NextAdapterApp(_ref) {
  var children = _ref.children;
  var router = navigation.useRouter();
  var pathname = navigation.usePathname();
  var searchParams = navigation.useSearchParams();
  var adapter = react.useMemo(function () {
    function getUrl(location) {
      var url = pathname;
      if (location.search) {
        url += location.search;
      }
      if (window.location.hash) {
        url += window.location.hash;
      }
      return url;
    }
    return {
      replace: function replace(location) {
        router.replace(getUrl(location));
      },
      push: function push(location) {
        router.push(getUrl(location));
      },
      location: {
        search: searchParams.toString()
      }
    };
  }, [searchParams, pathname, router]);
  return children(adapter);
}

exports["default"] = NextAdapterApp;
//# sourceMappingURL=app.cjs.development.js.map
